SD_JOURNAL_GET_REALTIME_USEC(3)

NAME
sd_journal_get_realtime_usec, sd_journal_get_monotonic_usec - Read timestamps from the current journal entry

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_get_realtime_usec(sd_journal *j, uint64_t *usec);

int sd_journal_get_monotonic_usec(sd_journal *j, uint64_t *usec, sd_id128_t *boot_id);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_get_realtime_usec() and sd_journal_get_monotonic_usec() do nothing.

RETURN VALUE

sd_journal_get_cutoff_realtime_usec() and sd_journal_get_cutoff_monotonic_usec() return -ENOSYS.

SEE ALSO

elogind(8), sd_journal_open(3), sd_journal_next(3), sd_journal_get_data(3), sd_id128_get_boot(3), clock_gettime(2), sd_journal_get_cutoff_realtime_usec(3)